Submit a stack job for an integration set.
curl --request POST \
--url https://api.nebyoulous.space/integration-sets/{id}/stack-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": {
"light": [
"<string>"
],
"dark": [
"<string>"
],
"flat": [
"<string>"
],
"bias": [
"<string>"
],
"darkflat": [
"<string>"
]
},
"params": {
"engine": "siril",
"sigmaLow": 50,
"sigmaHigh": 50,
"outputNorm": true,
"rgbEqual": true,
"cosmeticCorrection": true
},
"referencePath": "<string>",
"sourceAnalysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"excludedFrames": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: {
light: ['<string>'],
dark: ['<string>'],
flat: ['<string>'],
bias: ['<string>'],
darkflat: ['<string>']
},
params: {
engine: 'siril',
sigmaLow: 50,
sigmaHigh: 50,
outputNorm: true,
rgbEqual: true,
cosmeticCorrection: true
},
referencePath: '<string>',
sourceAnalysisId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
excludedFrames: ['<string>']
})
};
fetch('https://api.nebyoulous.space/integration-sets/{id}/stack-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/stack-jobs"
payload = {
"groups": {
"light": ["<string>"],
"dark": ["<string>"],
"flat": ["<string>"],
"bias": ["<string>"],
"darkflat": ["<string>"]
},
"params": {
"engine": "siril",
"sigmaLow": 50,
"sigmaHigh": 50,
"outputNorm": True,
"rgbEqual": True,
"cosmeticCorrection": True
},
"referencePath": "<string>",
"sourceAnalysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"excludedFrames": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"stackName": "<string>",
"sourceStackName": "<string>",
"params": {
"engine": "siril",
"method": "mean",
"rejection": "winsorized_sigma",
"sigmaLow": 123,
"sigmaHigh": 123,
"normalize": "none",
"outputNorm": true,
"weighting": "none",
"rgbEqual": true,
"sensor": "osc",
"cosmeticCorrection": true
},
"referencePath": "<string>",
"totalFrames": 0,
"frameCounts": {
"light": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"dark": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"flat": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"bias": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"darkflat": {
"used": 4503599627370495,
"rejected": 4503599627370495
}
},
"runReport": {
"lightFramesUsed": 4503599627370495,
"lightFramesFiltered": 4503599627370495,
"medianFwhm": 1,
"backgroundNoise": 1,
"pixelRejectionLow": 1,
"pixelRejectionHigh": 1
},
"engine": "siril",
"outputS3Key": "<string>",
"outputSizeBytes": 123,
"errorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>",
"downloadUrl": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Stacking and analysis
Submit a stack job for an integration set.
POST
/
integration-sets
/
{id}
/
stack-jobs
Submit a stack job for an integration set.
curl --request POST \
--url https://api.nebyoulous.space/integration-sets/{id}/stack-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": {
"light": [
"<string>"
],
"dark": [
"<string>"
],
"flat": [
"<string>"
],
"bias": [
"<string>"
],
"darkflat": [
"<string>"
]
},
"params": {
"engine": "siril",
"sigmaLow": 50,
"sigmaHigh": 50,
"outputNorm": true,
"rgbEqual": true,
"cosmeticCorrection": true
},
"referencePath": "<string>",
"sourceAnalysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"excludedFrames": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: {
light: ['<string>'],
dark: ['<string>'],
flat: ['<string>'],
bias: ['<string>'],
darkflat: ['<string>']
},
params: {
engine: 'siril',
sigmaLow: 50,
sigmaHigh: 50,
outputNorm: true,
rgbEqual: true,
cosmeticCorrection: true
},
referencePath: '<string>',
sourceAnalysisId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
excludedFrames: ['<string>']
})
};
fetch('https://api.nebyoulous.space/integration-sets/{id}/stack-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/stack-jobs"
payload = {
"groups": {
"light": ["<string>"],
"dark": ["<string>"],
"flat": ["<string>"],
"bias": ["<string>"],
"darkflat": ["<string>"]
},
"params": {
"engine": "siril",
"sigmaLow": 50,
"sigmaHigh": 50,
"outputNorm": True,
"rgbEqual": True,
"cosmeticCorrection": True
},
"referencePath": "<string>",
"sourceAnalysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"excludedFrames": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"stackName": "<string>",
"sourceStackName": "<string>",
"params": {
"engine": "siril",
"method": "mean",
"rejection": "winsorized_sigma",
"sigmaLow": 123,
"sigmaHigh": 123,
"normalize": "none",
"outputNorm": true,
"weighting": "none",
"rgbEqual": true,
"sensor": "osc",
"cosmeticCorrection": true
},
"referencePath": "<string>",
"totalFrames": 0,
"frameCounts": {
"light": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"dark": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"flat": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"bias": {
"used": 4503599627370495,
"rejected": 4503599627370495
},
"darkflat": {
"used": 4503599627370495,
"rejected": 4503599627370495
}
},
"runReport": {
"lightFramesUsed": 4503599627370495,
"lightFramesFiltered": 4503599627370495,
"medianFwhm": 1,
"backgroundNoise": 1,
"pixelRejectionLow": 1,
"pixelRejectionHigh": 1
},
"engine": "siril",
"outputS3Key": "<string>",
"outputSizeBytes": 123,
"errorMessage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>",
"downloadUrl": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 1024Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum array length:
1000Required string length:
1 - 1024Response
Default Response
Show child attributes
Show child attributes